summaryrefslogtreecommitdiff
path: root/pst/install-4cd-extra.sh
diff options
context:
space:
mode:
authorNick White <git@njw.me.uk>2009-04-13 12:31:42 +0100
committerNick White <git@njw.me.uk>2009-04-13 12:31:42 +0100
commit1bbff3ce1b261ef9cb6ba217ca0d8fcb54971513 (patch)
treeac5ca6418afec68f5f5c3f2f84601559d41d144b /pst/install-4cd-extra.sh
downloadgemrb-gameinstallers-1bbff3ce1b261ef9cb6ba217ca0d8fcb54971513.tar.bz2
gemrb-gameinstallers-1bbff3ce1b261ef9cb6ba217ca0d8fcb54971513.zip
Initial import
Diffstat (limited to 'pst/install-4cd-extra.sh')
-rwxr-xr-xpst/install-4cd-extra.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/pst/install-4cd-extra.sh b/pst/install-4cd-extra.sh
new file mode 100755
index 0000000..064edb4
--- /dev/null
+++ b/pst/install-4cd-extra.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+# Installs Planescape Torment 4CD version extras
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/cd-includes.sh"
+
+parseargs "$@"
+
+checkforbin unshield
+
+getcd 2 99be7c8544016302c820088091c52fef cd2/movies2.bif
+copylower "$CDMOUNT/cd2/" "$TARGETDIR" || die
+
+getcd 3 6ffd2c51a41603c7dca6196d9bef2e26 cd3/AR0500.bif
+copylower "$CDMOUNT/cd3/" "$TARGETDIR" || die
+
+getcd 4 b70322aaa7b1d61a168a766eba399085 cd4/movies4.bif
+copylower "$CDMOUNT/cd4/" "$TARGETDIR" || die
+
+setperms "$TARGETDIR"